# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'pV/pV.ui'
#
# Created by: PyQt5 UI code generator 5.15.4
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_mainWindow_3D(object):
    def setupUi(self, mainWindow_3D):
        mainWindow_3D.setObjectName("mainWindow_3D")
        mainWindow_3D.resize(809, 567)
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/welcome/icon/welcome/assets/icon.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        mainWindow_3D.setWindowIcon(icon)
        self.centralwidget = QtWidgets.QWidget(mainWindow_3D)
        self.centralwidget.setObjectName("centralwidget")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.centralwidget)
        self.verticalLayout.setObjectName("verticalLayout")
        self.simulation_field = QtWidgets.QTabWidget(self.centralwidget)
        self.simulation_field.setEnabled(True)
        self.simulation_field.setTabShape(QtWidgets.QTabWidget.Rounded)
        self.simulation_field.setObjectName("simulation_field")
        self.initialization = QtWidgets.QWidget()
        self.initialization.setObjectName("initialization")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.initialization)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.widget = QtWidgets.QWidget(self.initialization)
        self.widget.setObjectName("widget")
        self.gridLayout_5 = QtWidgets.QGridLayout(self.widget)
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.tabWidget = QtWidgets.QTabWidget(self.widget)
        self.tabWidget.setObjectName("tabWidget")
        self.tab_3 = QtWidgets.QWidget()
        self.tab_3.setObjectName("tab_3")
        self.gridLayout = QtWidgets.QGridLayout(self.tab_3)
        self.gridLayout.setObjectName("gridLayout")
        self.pause_button = QtWidgets.QPushButton(self.tab_3)
        self.pause_button.setObjectName("pause_button")
        self.gridLayout.addWidget(self.pause_button, 4, 3, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(20, 80, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout.addItem(spacerItem, 2, 3, 1, 1)
        self.espresso_image = QtWidgets.QLabel(self.tab_3)
        self.espresso_image.setText("")
        self.espresso_image.setPixmap(QtGui.QPixmap(":/pV/logo/pV/pV_design.png"))
        self.espresso_image.setObjectName("espresso_image")
        self.gridLayout.addWidget(self.espresso_image, 0, 3, 1, 1)
        self.run_button = QtWidgets.QPushButton(self.tab_3)
        self.run_button.setObjectName("run_button")
        self.gridLayout.addWidget(self.run_button, 3, 3, 1, 1)
        self.groupBox_2 = QtWidgets.QGroupBox(self.tab_3)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout_6 = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout_6.setObjectName("gridLayout_6")
        self.check_savingdata = QtWidgets.QCheckBox(self.groupBox_2)
        self.check_savingdata.setChecked(False)
        self.check_savingdata.setObjectName("check_savingdata")
        self.gridLayout_6.addWidget(self.check_savingdata, 6, 0, 1, 1)
        self.groupBox_4 = QtWidgets.QGroupBox(self.groupBox_2)
        self.groupBox_4.setEnabled(False)
        self.groupBox_4.setObjectName("groupBox_4")
        self.gridLayout_9 = QtWidgets.QGridLayout(self.groupBox_4)
        self.gridLayout_9.setObjectName("gridLayout_9")
        self.periodic_y_check = QtWidgets.QCheckBox(self.groupBox_4)
        self.periodic_y_check.setChecked(True)
        self.periodic_y_check.setObjectName("periodic_y_check")
        self.gridLayout_9.addWidget(self.periodic_y_check, 1, 1, 1, 1)
        self.periodic_x_check = QtWidgets.QCheckBox(self.groupBox_4)
        self.periodic_x_check.setCheckable(True)
        self.periodic_x_check.setChecked(True)
        self.periodic_x_check.setObjectName("periodic_x_check")
        self.gridLayout_9.addWidget(self.periodic_x_check, 0, 1, 1, 1)
        self.periodic_z_check = QtWidgets.QCheckBox(self.groupBox_4)
        self.periodic_z_check.setChecked(True)
        self.periodic_z_check.setObjectName("periodic_z_check")
        self.gridLayout_9.addWidget(self.periodic_z_check, 2, 1, 1, 1)
        self.gridLayout_6.addWidget(self.groupBox_4, 7, 3, 1, 2)
        self.label = QtWidgets.QLabel(self.groupBox_2)
        self.label.setObjectName("label")
        self.gridLayout_6.addWidget(self.label, 0, 0, 1, 1)
        self.label_4 = QtWidgets.QLabel(self.groupBox_2)
        self.label_4.setObjectName("label_4")
        self.gridLayout_6.addWidget(self.label_4, 3, 0, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout_6.addItem(spacerItem1, 5, 0, 1, 1)
        self.label_2 = QtWidgets.QLabel(self.groupBox_2)
        self.label_2.setObjectName("label_2")
        self.gridLayout_6.addWidget(self.label_2, 1, 0, 1, 1)
        self.box_length_auto = QtWidgets.QLineEdit(self.groupBox_2)
        self.box_length_auto.setEnabled(False)
        self.box_length_auto.setDragEnabled(True)
        self.box_length_auto.setReadOnly(True)
        self.box_length_auto.setClearButtonEnabled(False)
        self.box_length_auto.setObjectName("box_length_auto")
        self.gridLayout_6.addWidget(self.box_length_auto, 3, 1, 1, 3)
        self.particles_np = QtWidgets.QSpinBox(self.groupBox_2)
        self.particles_np.setKeyboardTracking(False)
        self.particles_np.setMinimum(1)
        self.particles_np.setMaximum(500)
        self.particles_np.setProperty("value", 150)
        self.particles_np.setObjectName("particles_np")
        self.gridLayout_6.addWidget(self.particles_np, 1, 2, 1, 1)
        self.groupbox_saveparameters = QtWidgets.QFrame(self.groupBox_2)
        self.groupbox_saveparameters.setEnabled(False)
        self.groupbox_saveparameters.setObjectName("groupbox_saveparameters")
        self.gridLayout_7 = QtWidgets.QGridLayout(self.groupbox_saveparameters)
        self.gridLayout_7.setObjectName("gridLayout_7")
        self.label_7 = QtWidgets.QLabel(self.groupbox_saveparameters)
        self.label_7.setObjectName("label_7")
        self.gridLayout_7.addWidget(self.label_7, 0, 0, 1, 1)
        self.select_directory = QtWidgets.QPushButton(self.groupbox_saveparameters)
        self.select_directory.setObjectName("select_directory")
        self.gridLayout_7.addWidget(self.select_directory, 0, 1, 1, 1)
        self.input_directory = QtWidgets.QLineEdit(self.groupbox_saveparameters)
        self.input_directory.setObjectName("input_directory")
        self.gridLayout_7.addWidget(self.input_directory, 1, 0, 1, 2)
        self.save_xyz = QtWidgets.QCheckBox(self.groupbox_saveparameters)
        self.save_xyz.setChecked(True)
        self.save_xyz.setObjectName("save_xyz")
        self.gridLayout_7.addWidget(self.save_xyz, 2, 0, 1, 1)
        self.save_energies = QtWidgets.QCheckBox(self.groupbox_saveparameters)
        self.save_energies.setChecked(True)
        self.save_energies.setObjectName("save_energies")
        self.gridLayout_7.addWidget(self.save_energies, 3, 0, 1, 2)
        self.save_pressure = QtWidgets.QCheckBox(self.groupbox_saveparameters)
        self.save_pressure.setChecked(True)
        self.save_pressure.setObjectName("save_pressure")
        self.gridLayout_7.addWidget(self.save_pressure, 4, 0, 1, 1)
        self.gridLayout_6.addWidget(self.groupbox_saveparameters, 7, 0, 1, 3)
        self.label_3 = QtWidgets.QLabel(self.groupBox_2)
        self.label_3.setObjectName("label_3")
        self.gridLayout_6.addWidget(self.label_3, 4, 0, 1, 1)
        self.particles_density = QtWidgets.QDoubleSpinBox(self.groupBox_2)
        self.particles_density.setMaximumSize(QtCore.QSize(87, 26))
        self.particles_density.setKeyboardTracking(False)
        self.particles_density.setPrefix("")
        self.particles_density.setSuffix("")
        self.particles_density.setMinimum(0.01)
        self.particles_density.setMaximum(100.0)
        self.particles_density.setSingleStep(0.01)
        self.particles_density.setProperty("value", 0.5)
        self.particles_density.setObjectName("particles_density")
        self.gridLayout_6.addWidget(self.particles_density, 2, 2, 1, 1)
        self.box_volume_auto = QtWidgets.QLineEdit(self.groupBox_2)
        self.box_volume_auto.setEnabled(False)
        self.box_volume_auto.setObjectName("box_volume_auto")
        self.gridLayout_6.addWidget(self.box_volume_auto, 4, 1, 1, 3)
        self.particles_system_name = QtWidgets.QLineEdit(self.groupBox_2)
        self.particles_system_name.setObjectName("particles_system_name")
        self.gridLayout_6.addWidget(self.particles_system_name, 0, 2, 1, 2)
        self.label_21 = QtWidgets.QLabel(self.groupBox_2)
        self.label_21.setObjectName("label_21")
        self.gridLayout_6.addWidget(self.label_21, 2, 0, 1, 2)
        self.pushButton = QtWidgets.QPushButton(self.groupBox_2)
        self.pushButton.setObjectName("pushButton")
        self.gridLayout_6.addWidget(self.pushButton, 2, 4, 1, 1)
        self.gridLayout.addWidget(self.groupBox_2, 0, 0, 7, 2)
        self.tabWidget.addTab(self.tab_3, "")
        self.gridLayout_5.addWidget(self.tabWidget, 0, 0, 1, 1)
        self.horizontalLayout_2.addWidget(self.widget)
        self.simulation_field.addTab(self.initialization, "")
        self.tab_2 = QtWidgets.QWidget()
        self.tab_2.setObjectName("tab_2")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.tab_2)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.apply_changes = QtWidgets.QPushButton(self.tab_2)
        self.apply_changes.setObjectName("apply_changes")
        self.gridLayout_2.addWidget(self.apply_changes, 1, 1, 1, 1)
        self.LJparams_2 = QtWidgets.QGroupBox(self.tab_2)
        self.LJparams_2.setMinimumSize(QtCore.QSize(280, 119))
        self.LJparams_2.setObjectName("LJparams_2")
        self.gridLayout_10 = QtWidgets.QGridLayout(self.LJparams_2)
        self.gridLayout_10.setObjectName("gridLayout_10")
        self.label_8 = QtWidgets.QLabel(self.LJparams_2)
        self.label_8.setTextInteractionFlags(QtCore.Qt.LinksAccessibleByMouse)
        self.label_8.setObjectName("label_8")
        self.gridLayout_10.addWidget(self.label_8, 0, 0, 1, 1)
        self.espresso_time_step = QtWidgets.QSpinBox(self.LJparams_2)
        self.espresso_time_step.setMinimum(1)
        self.espresso_time_step.setMaximum(1000)
        self.espresso_time_step.setProperty("value", 500)
        self.espresso_time_step.setObjectName("espresso_time_step")
        self.gridLayout_10.addWidget(self.espresso_time_step, 0, 1, 1, 1)
        self.slider_timestep = QtWidgets.QSlider(self.LJparams_2)
        self.slider_timestep.setMinimum(1)
        self.slider_timestep.setMaximum(1000)
        self.slider_timestep.setProperty("value", 500)
        self.slider_timestep.setOrientation(QtCore.Qt.Horizontal)
        self.slider_timestep.setObjectName("slider_timestep")
        self.gridLayout_10.addWidget(self.slider_timestep, 1, 0, 1, 1)
        spacerItem2 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout_10.addItem(spacerItem2, 3, 0, 1, 1)
        self.label_6 = QtWidgets.QLabel(self.LJparams_2)
        self.label_6.setObjectName("label_6")
        self.gridLayout_10.addWidget(self.label_6, 2, 0, 1, 1)
        self.thermostat_check = QtWidgets.QCheckBox(self.LJparams_2)
        self.thermostat_check.setEnabled(False)
        self.thermostat_check.setText("")
        self.thermostat_check.setChecked(True)
        self.thermostat_check.setObjectName("thermostat_check")
        self.gridLayout_10.addWidget(self.thermostat_check, 2, 1, 1, 1)
        self.gridLayout_2.addWidget(self.LJparams_2, 0, 1, 1, 1)
        self.groupBox_3 = QtWidgets.QGroupBox(self.tab_2)
        self.groupBox_3.setObjectName("groupBox_3")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.groupBox_3)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.scrollArea_2 = QtWidgets.QScrollArea(self.groupBox_3)
        self.scrollArea_2.setWidgetResizable(True)
        self.scrollArea_2.setObjectName("scrollArea_2")
        self.scrollAreaWidgetContents_2 = QtWidgets.QWidget()
        self.scrollAreaWidgetContents_2.setGeometry(QtCore.QRect(0, 0, 356, 210))
        self.scrollAreaWidgetContents_2.setObjectName("scrollAreaWidgetContents_2")
        self.gridLayout_8 = QtWidgets.QGridLayout(self.scrollAreaWidgetContents_2)
        self.gridLayout_8.setObjectName("gridLayout_8")
        spacerItem3 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout_8.addItem(spacerItem3, 0, 1, 1, 1)
        spacerItem4 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout_8.addItem(spacerItem4, 5, 1, 1, 1)
        self.epsilon_slider = QtWidgets.QSlider(self.scrollAreaWidgetContents_2)
        self.epsilon_slider.setEnabled(False)
        self.epsilon_slider.setMinimum(100)
        self.epsilon_slider.setMaximum(800)
        self.epsilon_slider.setSingleStep(1)
        self.epsilon_slider.setPageStep(1)
        self.epsilon_slider.setProperty("value", 112)
        self.epsilon_slider.setSliderPosition(112)
        self.epsilon_slider.setTracking(False)
        self.epsilon_slider.setOrientation(QtCore.Qt.Horizontal)
        self.epsilon_slider.setObjectName("epsilon_slider")
        self.gridLayout_8.addWidget(self.epsilon_slider, 2, 1, 1, 1, QtCore.Qt.AlignVCenter)
        self.sigma_slider = QtWidgets.QSlider(self.scrollAreaWidgetContents_2)
        self.sigma_slider.setEnabled(False)
        self.sigma_slider.setMinimum(1)
        self.sigma_slider.setMaximum(80)
        self.sigma_slider.setSingleStep(1)
        self.sigma_slider.setPageStep(1)
        self.sigma_slider.setProperty("value", 36)
        self.sigma_slider.setSliderPosition(36)
        self.sigma_slider.setOrientation(QtCore.Qt.Horizontal)
        self.sigma_slider.setObjectName("sigma_slider")
        self.gridLayout_8.addWidget(self.sigma_slider, 8, 1, 1, 1)
        self.label_15 = QtWidgets.QLabel(self.scrollAreaWidgetContents_2)
        self.label_15.setObjectName("label_15")
        self.gridLayout_8.addWidget(self.label_15, 1, 0, 1, 1)
        self.label_17 = QtWidgets.QLabel(self.scrollAreaWidgetContents_2)
        self.label_17.setObjectName("label_17")
        self.gridLayout_8.addWidget(self.label_17, 6, 0, 1, 1)
        self.value_epsilon = QtWidgets.QDoubleSpinBox(self.scrollAreaWidgetContents_2)
        self.value_epsilon.setEnabled(False)
        self.value_epsilon.setKeyboardTracking(False)
        self.value_epsilon.setMaximum(800.0)
        self.value_epsilon.setSingleStep(10.0)
        self.value_epsilon.setProperty("value", 111.84)
        self.value_epsilon.setObjectName("value_epsilon")
        self.gridLayout_8.addWidget(self.value_epsilon, 1, 1, 1, 1)
        self.value_sigma = QtWidgets.QDoubleSpinBox(self.scrollAreaWidgetContents_2)
        self.value_sigma.setEnabled(False)
        self.value_sigma.setKeyboardTracking(False)
        self.value_sigma.setPrefix("")
        self.value_sigma.setSuffix("")
        self.value_sigma.setDecimals(4)
        self.value_sigma.setMaximum(0.8)
        self.value_sigma.setSingleStep(0.01)
        self.value_sigma.setProperty("value", 0.3632)
        self.value_sigma.setObjectName("value_sigma")
        self.gridLayout_8.addWidget(self.value_sigma, 6, 1, 1, 1)
        spacerItem5 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_8.addItem(spacerItem5, 1, 2, 1, 1)
        self.scrollArea_2.setWidget(self.scrollAreaWidgetContents_2)
        self.gridLayout_3.addWidget(self.scrollArea_2, 1, 0, 1, 1)
        self.label_14 = QtWidgets.QLabel(self.groupBox_3)
        self.label_14.setObjectName("label_14")
        self.gridLayout_3.addWidget(self.label_14, 0, 0, 1, 1)
        self.gridLayout_2.addWidget(self.groupBox_3, 1, 0, 1, 1)
        self.groupBox = QtWidgets.QGroupBox(self.tab_2)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.label_5 = QtWidgets.QLabel(self.groupBox)
        self.label_5.setObjectName("label_5")
        self.gridLayout_4.addWidget(self.label_5, 1, 0, 1, 1)
        self.temperature_slide = QtWidgets.QSlider(self.groupBox)
        self.temperature_slide.setMinimum(1)
        self.temperature_slide.setMaximum(500)
        self.temperature_slide.setProperty("value", 150)
        self.temperature_slide.setOrientation(QtCore.Qt.Horizontal)
        self.temperature_slide.setObjectName("temperature_slide")
        self.gridLayout_4.addWidget(self.temperature_slide, 1, 1, 1, 1)
        self.label_10 = QtWidgets.QLabel(self.groupBox)
        self.label_10.setText("")
        self.label_10.setObjectName("label_10")
        self.gridLayout_4.addWidget(self.label_10, 3, 0, 1, 1)
        self.temperature_change = QtWidgets.QSpinBox(self.groupBox)
        self.temperature_change.setMaximum(500)
        self.temperature_change.setProperty("value", 140)
        self.temperature_change.setObjectName("temperature_change")
        self.gridLayout_4.addWidget(self.temperature_change, 1, 2, 1, 1)
        self.label_13 = QtWidgets.QLabel(self.groupBox)
        self.label_13.setObjectName("label_13")
        self.gridLayout_4.addWidget(self.label_13, 2, 2, 1, 1)
        self.temp_red_unit = QtWidgets.QDoubleSpinBox(self.groupBox)
        self.temp_red_unit.setEnabled(False)
        self.temp_red_unit.setDecimals(3)
        self.temp_red_unit.setMaximum(5.0)
        self.temp_red_unit.setProperty("value", 2.441)
        self.temp_red_unit.setObjectName("temp_red_unit")
        self.gridLayout_4.addWidget(self.temp_red_unit, 3, 2, 1, 1)
        spacerItem6 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout_4.addItem(spacerItem6, 4, 2, 1, 1)
        self.gridLayout_2.addWidget(self.groupBox, 0, 0, 1, 1)
        self.simulation_field.addTab(self.tab_2, "")
        self.life_plots = QtWidgets.QWidget()
        self.life_plots.setObjectName("life_plots")
        self.simulation_field.addTab(self.life_plots, "")
        self.verticalLayout.addWidget(self.simulation_field)
        mainWindow_3D.setCentralWidget(self.centralwidget)
        self.label.setBuddy(self.particles_system_name)
        self.label_2.setBuddy(self.particles_np)
        self.label_5.setBuddy(self.temperature_slide)

        self.retranslateUi(mainWindow_3D)
        self.simulation_field.setCurrentIndex(0)
        self.tabWidget.setCurrentIndex(0)
        self.temperature_slide.valueChanged['int'].connect(self.temperature_change.setValue)
        self.temperature_change.valueChanged['int'].connect(self.temperature_slide.setValue)
        self.slider_timestep.valueChanged['int'].connect(self.espresso_time_step.setValue)
        self.espresso_time_step.valueChanged['int'].connect(self.slider_timestep.setValue)
        QtCore.QMetaObject.connectSlotsByName(mainWindow_3D)
        self.check_savingdata.stateChanged.connect(self.enable_savingparameters)
        self.particles_np.valueChanged.connect(self.contribute_boxlength)
        self.particles_density.valueChanged.connect(self.contribute_boxlength)
        self.temperature_change.valueChanged.connect(self.reduce_temperature)

    def reduce_temperature(self):
        """contributes the temperature in reduced unit
        """
        self.temp_red_unit.setValue(float(self.temperature_change.value()/self.value_epsilon.value()))

    def contribute_boxlength(self):
        """contributes boxlength by given number of particles and density
        """
        volume = float(self.particles_np.value() / self.particles_density.value())
        self.box_volume_auto.setText(str(round(volume,3)))
        box_l = str(round(volume**(1/3), 3))
        self.box_length_auto.setText(box_l+","+ box_l+","+ box_l)

    def enable_savingparameters(self, state):
        """enables groupbox for saving parameter options, when checkBox is true
        """
        if state > 0:
           self.groupbox_saveparameters.setEnabled(True)
        else:
           self.groupbox_saveparameters.setEnabled(False)


    def retranslateUi(self, mainWindow_3D):
        _translate = QtCore.QCoreApplication.translate
        mainWindow_3D.setWindowTitle(_translate("mainWindow_3D", "PyStar"))
        self.pause_button.setText(_translate("mainWindow_3D", "Pause"))
        self.run_button.setText(_translate("mainWindow_3D", "Run Simulation"))
        self.groupBox_2.setTitle(_translate("mainWindow_3D", "System parameters"))
        self.check_savingdata.setText(_translate("mainWindow_3D", "Saving Data"))
        self.groupBox_4.setTitle(_translate("mainWindow_3D", "Periodic Boundary Conditions"))
        self.periodic_y_check.setText(_translate("mainWindow_3D", "in y-direction"))
        self.periodic_x_check.setText(_translate("mainWindow_3D", "in x-direction"))
        self.periodic_z_check.setText(_translate("mainWindow_3D", "in z-direction"))
        self.label.setText(_translate("mainWindow_3D", "System name"))
        self.label_4.setToolTip(_translate("mainWindow_3D", "<html><head/><body><p>automatically calculated</p></body></html>"))
        self.label_4.setText(_translate("mainWindow_3D", "Box Length (in nm)"))
        self.label_2.setText(_translate("mainWindow_3D", "Number of particles"))
        self.box_length_auto.setText(_translate("mainWindow_3D", "5,5,5"))
        self.label_7.setText(_translate("mainWindow_3D", "Directory:"))
        self.select_directory.setText(_translate("mainWindow_3D", "Select"))
        self.save_xyz.setText(_translate("mainWindow_3D", "Positions x,y,z"))
        self.save_energies.setText(_translate("mainWindow_3D", "Energies(total,kinetic,potential)"))
        self.save_pressure.setText(_translate("mainWindow_3D", "Pressure"))
        self.label_3.setText(_translate("mainWindow_3D", "<html><head/><body><p>Volume (in nm<span style=\" vertical-align:super;\">3</span>)</p></body></html>"))
        self.box_volume_auto.setText(_translate("mainWindow_3D", "125"))
        self.particles_system_name.setText(_translate("mainWindow_3D", "LJballs"))
        self.label_21.setText(_translate("mainWindow_3D", "<html><head/><body><p>Density ρ=N/V <span style=\" font-size:10pt;\">(in nm</span><span style=\" font-size:10pt; vertical-align:super;\">-3</span><span style=\" font-size:10pt;\">)</span></p></body></html>"))
        self.pushButton.setText(_translate("mainWindow_3D", "Apply Changes"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_3), _translate("mainWindow_3D", "Lennard-Jones Balls"))
        self.simulation_field.setTabText(self.simulation_field.indexOf(self.initialization), _translate("mainWindow_3D", "Initialization"))
        self.apply_changes.setText(_translate("mainWindow_3D", "Apply"))
        self.LJparams_2.setTitle(_translate("mainWindow_3D", "Simulation Settings"))
        self.label_8.setText(_translate("mainWindow_3D", "Integrations per Frame"))
        self.label_6.setText(_translate("mainWindow_3D", "<html><head/><body><p align=\"center\">Thermostat (NVT Ensemble) </p></body></html>"))
        self.groupBox_3.setTitle(_translate("mainWindow_3D", "Lennard-Jones Parameters of Argon"))
        self.label_15.setText(_translate("mainWindow_3D", "ε/ k_B (in K)"))
        self.label_17.setText(_translate("mainWindow_3D", "σ (in nm)"))
        self.label_14.setText(_translate("mainWindow_3D", " Values of σ and ε"))
        self.groupBox.setTitle(_translate("mainWindow_3D", "Kinetic properties"))
        self.label_5.setText(_translate("mainWindow_3D", "Temperature (in K)"))
        self.label_13.setText(_translate("mainWindow_3D", "<html><head/><body><p><span style=\" font-size:9pt;\">in red. unit:</span></p></body></html>"))
        self.simulation_field.setTabText(self.simulation_field.indexOf(self.tab_2), _translate("mainWindow_3D", "Settings"))
        self.simulation_field.setTabText(self.simulation_field.indexOf(self.life_plots), _translate("mainWindow_3D", "Live Plots"))
from . import resource_rc
